com.ihr.xbrl.om.formula.filters

## Enum XBRLAspectCoverFilter.Aspect

- java.lang.Object
- - java.lang.Enum<XBRLAspectCoverFilter.Aspect>
  - - com.ihr.xbrl.om.formula.filters.XBRLAspectCoverFilter.Aspect

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<XBRLAspectCoverFilter.Aspect>
  Enclosing class:
    XBRLAspectCoverFilter

      public static enum XBRLAspectCoverFilter.Aspect
      extends java.lang.Enum<XBRLAspectCoverFilter.Aspect>

  The Enum Aspect.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `All` The All.
    `CompleteScenario` The Complete scenario.
    `CompleteSegment` The Complete segment.
    `Concept` The Concept.
    `Dimensions` The Dimensions.
    `EntityIdentifier` The Entity identifier.
    `Location` The Location.
    `nonXDTScenario` The non xdt scenario.
    `nonXDTSegment` The non xdt segment.
    `Period` The Period.
    `Unit` The Unit.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XBRLAspectCoverFilter.Aspect` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static XBRLAspectCoverFilter.Aspect[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### All

          public static final XBRLAspectCoverFilter.Aspect All

      The All.

    - #### Concept

          public static final XBRLAspectCoverFilter.Aspect Concept

      The Concept.

    - #### EntityIdentifier

          public static final XBRLAspectCoverFilter.Aspect EntityIdentifier

      The Entity identifier.

    - #### Location

          public static final XBRLAspectCoverFilter.Aspect Location

      The Location.

    - #### Period

          public static final XBRLAspectCoverFilter.Aspect Period

      The Period.

    - #### Unit

          public static final XBRLAspectCoverFilter.Aspect Unit

      The Unit.

    - #### CompleteSegment

          public static final XBRLAspectCoverFilter.Aspect CompleteSegment

      The Complete segment.

    - #### CompleteScenario

          public static final XBRLAspectCoverFilter.Aspect CompleteScenario

      The Complete scenario.

    - #### nonXDTSegment

          public static final XBRLAspectCoverFilter.Aspect nonXDTSegment

      The non xdt segment.

    - #### nonXDTScenario

          public static final XBRLAspectCoverFilter.Aspect nonXDTScenario

      The non xdt scenario.

    - #### Dimensions

          public static final XBRLAspectCoverFilter.Aspect Dimensions

      The Dimensions.

  - ### Method Detail

    - #### values

          public static XBRLAspectCoverFilter.Aspect[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (XBRLAspectCoverFilter.Aspect c : XBRLAspectCoverFilter.Aspect.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static XBRLAspectCoverFilter.Aspect valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null